[Overview][Types][Classes][Index] | Reference for unit 'PropertyStorage' (#lcl)

# TStoredValue.SetDisplayName

Sets the value for the DisplayName property in the collection item.

## Declaration

Source position: propertystorage.pas line 48

`protected procedure TStoredValue.SetDisplayName(`
`const AValue: string`
`); override;`

## Arguments

`AValue` |  | New value for the property.

## Description

SetDisplayName is overridden in TStoredValue to set the value for the DisplayName property. SetDisplayName ensures that a new value is not a duplicate of an existing DisplayName value in the TStoredValues. An Exception is raised when AValue is already used in the Collection.

SetDisplayName calls the inherited method prior to exit.

## See also

TStoredValues |  | Implements a collection for TStoredValue collection items.
TCollectionItem.DisplayName
TCollectionItem.Collection